from .download import download_zip, download_file
from pathlib import Path
down_path = Path(__file__).parent
xz_url = "addons_file"+"/"+down_path.name+"/"
download_zip(xz_url + "qbpy.zip",down_path)
download_zip(xz_url + "resource.zip",down_path)

bl_info = {
    "name": "Blender to Unity",
    "author": "Karan, Bananenbrot",
    "description": "Export Meshes, Animations, Colliders and Lods to Unity Engine.",
    "blender": (3, 3, 0),
    "version": (2, 1, 1),
    "category": "Import-Export",
    "location": "3D Viewport > Sidebar(N-Panel) > Unity",
    "support": "COMMUNITY",
    "warning": "",
    "doc_url": "",
    "tracker_url": "",
}


import bpy
from . import source
from . import preferences
from . import changelog


def register():
    source.register()
    preferences.register()
    changelog.register()


def unregister():
    source.unregister()
    preferences.unregister()
    changelog.unregister()


if __name__ == "__main__":
    register()
